package com.atlassian.stash.internal.web.soy.functions.nav;

import com.atlassian.soy.renderer.JsExpression;
import com.atlassian.bitbucket.nav.NavBuilder;

/**
 * URL of the REST resource /admin/users.
 */
public class RestAdminUserFunction extends BaseNavFunction {

    public RestAdminUserFunction(NavBuilder navBuilder) {
        super(navBuilder, "nav_rest_admin_users");
    }

    @Override
    protected JsNavBuilder initJsBuilder(JsExpression... jsExpressions) {
        return new JsNavBuilder().callMethod("rest").admin().users();
    }

    @Override
    protected NavBuilder.Builder initBuilder(Object... args) {
        return navBuilder.rest().admin().users();
    }

}
